# typed: true
class CreateDomainE621Tags < ActiveRecord::Migration[7.0]
  def up
    create_table :domain_e621_tags do |t|
      t.string :name, null: false
      t.integer :e621_id

      t.integer :type
      t.string :description
      t.timestamps
      t.index :name, unique: true
      t.index :e621_id, unique: true
    end
  end

  def down
    raise("boom")
  end
end
